Bug 447234 - "alias snd-card-0 snd_powermac" on iBook install
"alias snd-card-0 snd_powermac" on iBook install
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-18 19:34 EDT by W. Michael Petullo
Modified: 2010-06-28 06:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:37:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2008-05-18 19:34:16 EDT
Description of problem:
I installed Fedora 9 on a G4 iBook. Once the system booted, I had to manually add "alias snd-card-0 
snd_powermac" to /etc/modprobe.conf in order to get the laptop's audio to work.

Version-Release number of selected component (if applicable):
Fedora 9 installer

How reproducible:
Every time

Steps to Reproduce:
1. Install Fedora 9
  
Actual results:
The audio drivers do not work out of the box.

Expected results:
Standard iBook hardware should work on an iBook with no user intervention.

Additional info:
Comment 1 Jeremy Katz 2008-05-19 11:24:38 EDT
There shouldn't be any need for listing it explicitly, it should get auto-loaded
based on modaliases by udev.

So either a) udev isn't loading it properly or b) the module is missing
modaliases (see if modinfo snd_powermac returns any alias lines) in which case
it's a kernel bug

Assigning to udev but if it's b, feel free to swithc to kernel
Comment 2 W. Michael Petullo 2008-05-19 19:48:35 EDT
Based on Jeremy's comments and modinfo's output, I will reassign this to the kernel.

modinfo snd_powermac:

filename:       /lib/modules/2.6.25.3-18.fc9.ppc/kernel/sound/ppc/snd-powermac.ko
license:        GPL
description:    PowerMac
srcversion:     E061EBA0F8E083868F944DC
depends:        snd-pcm,snd
vermagic:       2.6.25.3-18.fc9.ppc mod_unload 
parm:           index:Index value for PMac soundchip. (int)
parm:           id:ID string for PMac soundchip. (charp)
parm:           enable_beep:Enable beep using PCM. (bool)
Comment 3 Bug Zapper 2009-06-09 20:59:12 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Joseph Sacco 2009-07-15 09:25:07 EDT
This problem persists in fc10 and fc11. udev is not loading the driver properly.

# modinfo snd_powermac
filename:       /lib/modules/2.6.29.5-191.fc11.ppc.smp/kernel/sound/ppc/snd-powermac.ko
license:        GPL
description:    PowerMac
srcversion:     08CCDFC49335D324A176678
depends:        snd-pcm,snd
vermagic:       2.6.29.5-191.fc11.ppc.smp SMP mod_unload 
parm:           index:Index value for PMac soundchip. (int)
parm:           id:ID string for PMac soundchip. (charp)
parm:           enable_beep:Enable beep using PCM. (bool)


-Joseph
Comment 5 Joseph Sacco 2009-07-15 09:32:29 EDT
I was poking around in /var/log/messages and found

Jul 15 09:17:19 plantain pulseaudio[2085]: alsa-source.c: Your kernel driver is broken: it reports a volume range from 18.00 dB to 18.00 dB which makes no sense.
Jul 15 09:17:19 plantain dbus: Rejected send message, 2 matched rules; type="method_call", sender=":1.31" (uid=42 pid=2085 comm="/usr/bin/pulseaudio --start --log-target=syslog ") interface="org.bluez.Manager" member="ListAdapters" error name="(unset)" requested_reply=0 destination="org.bluez" (uid=0 pid=1701 comm="/usr/sbin/bluetoothd "))
Jul 15 09:17:19 plantain pulseaudio[2085]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.DBus.Error.AccessDenied
Jul 15 09:17:27 plantain pulseaudio[2234]: alsa-source.c: Your kernel driver is broken: it reports a volume range from 18.00 dB to 18.00 dB which makes no sense.


-Joseph
Comment 6 W. Michael Petullo 2009-09-06 15:24:26 EDT
I no longer have an iBook to test with.
Comment 7 Joseph Sacco 2009-09-07 10:32:29 EDT
I can run tests. I have a powermac with dual G4 7448a's.

FWIW... udev fails to load snd-powermac.

-Joseph
Comment 8 Joseph Sacco 2009-09-19 11:30:16 EDT
running 'modprobe snd-powermac' leads to

ALSA sound/core/init.c:196: cannot find the slot for index 0 (range 0-1), error: -16
snd_powermac: probe of snd_powermac failed with error -16


-Joseph
Comment 9 Joseph Sacco 2009-12-20 07:52:59 EST
The problem persists in fc12.

-Joseph
Comment 10 Joseph Sacco 2010-01-14 11:24:06 EST
I have resolved the problem by adding a small file to /etc/modprobe.d:

% cat /etc/modprobe.d/alsa-snd_powermac.conf

# 
alias snd-card-0 snd-powermac
options snd-card-0 index=0
options snd-powermac index=0

I wonder if this worked because of the order in which the files in /etc/modprobe.d are parsed:

% ls -1 /etc/modprobe.d/*
/etc/modprobe.d/alsa-base.conf
/etc/modprobe.d/alsa-snd_powermac.conf      <==========
/etc/modprobe.d/anaconda.conf
/etc/modprobe.d/blacklist.conf
/etc/modprobe.d/blacklist-visor.conf
/etc/modprobe.d/dist-alsa.conf
/etc/modprobe.d/dist.conf
/etc/modprobe.d/dist-oss.conf

-Joseph
Comment 11 Bug Zapper 2010-04-27 08:03:54 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-06-28 06:37:22 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.